Changelog#

0.15.0 (January 2024)#

  • Updated pytket version requirement to 1.24.

  • Python 3.12 support added, 3.9 dropped.

0.14.0 (January 2024)#

  • Updated pytket version requirement to 1.23.

  • Updated pennylane version requirement to 0.34.

  • Updated pytket-qiskit version requirement to 0.46.

0.13.0 (November 2023)#

  • Updated pytket version requirement to 1.22.

0.12.0 (October 2023)#

  • Updated pytket version requirement to 1.21.

0.11.0 (September 2023)#

  • Updated pytket version requirement to 1.19.

  • Updated pennylane version requirement to 0.32.

  • Updated pytket-qiskit version requirement to 0.44.

0.10.0 (August 2023)#

  • Updated pytket version requirement to 1.18.

  • Updated pennylane version requirement to 0.31.

  • Updated pytket-qiskit version requirement to 0.41.

0.9.0 (June 2023)#

  • Updated pytket version requirement to 1.16.

0.8.0 (May 2023)#

  • Updated pytket version requirement to 1.15.

  • Updated pennylane version requirement to 0.30.

0.7.0 (January 2023)#

  • Support Python 3.11; drop support for 3.8.

  • Updated pennylane version requirement to 0.28.

  • Updated pytket version requirement to 1.11.

0.6.0 (December 2022)#

  • Updated pennylane version requirement to 0.27.

  • Updated pytket-qiskit version requirement to 0.32.

  • Updated pytket version requirement to 1.10.

0.5.0 (November 2022)#

  • Updated pytket version requirement to 1.9.

0.4.0 (November 2022)#

  • Update pytket version requirement to 1.8.

0.3.0 (October 2022)#

  • Update pytket version requirement to 1.7.

0.2.0 (September 2022)#

  • Update to work with pytket 1.5.